-- MySQL dump 10.11
--
-- Host: localhost    Database: opmon
-- ------------------------------------------------------
-- Server version	5.0.45

CREATE DATABASE IF NOT EXISTS `opmon4`;
USE `opmon4`;

CREATE TABLE `dashboards` (
  `id` int(10) NOT NULL DEFAULT '0',
  `var` varchar(50) NOT NULL DEFAULT '',
  `value` longblob,
  PRIMARY KEY (`id`,`var`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `dashboards_resources` (
  `id` int(10) NOT NULL DEFAULT '0',
  `var` varchar(50) NOT NULL DEFAULT '',
  `value` longblob,
  PRIMARY KEY (`id`,`var`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `shared_resources` (
  `module_id` varchar(64) NOT NULL,
  `contact_id` varchar(128) NOT NULL,
  `resource_id` varchar(16) NOT NULL,
  `shared_uid` varchar(128) NOT NULL,
  `data` longblob,
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`module_id`,`contact_id`,`resource_id`),
  KEY `contact_id` (`contact_id`,`resource_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `networkmaps` (
  `id` int(10) NOT NULL auto_increment,
  `acl` int NOT NULL default 0,
  `allmayview` int NOT NULL default 0,
  `active` int NOT NULL default 0,
  `description` text,
  `name` varchar(255) NOT NULL,
  `username` varchar(255), 
  `revision_date` datetime,
  `revision` int(10) NOT NULL default 0,
  `data` longblob default NULL,  
  `width` int,
  `height` int,
  `preview` longblob default NULL,
  PRIMARY KEY (id),
  INDEX(name(128))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


